Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 02/09/2019 in all areas

  1. (defun c:t2 ( / b l e d i s) (if (not (tblsearch "layer" "rlx"))(command "-layer" "new" "rlx" "")) (while (setq b (cdadr (tblnext "block" (not b))))(setq l (cons b l))) (foreach b l (setq e (tblobjname "block" b)) (while (setq e (entnext e)) (if (= (cdr (assoc 0 (setq d (entget e)))) "HATCH") (progn (setq d (subst (cons 8 "rlx") (assoc 8 d) d))(entmod d)))) ) (if (setq s (ssget "x" '((0 . "HATCH")))) (repeat (setq i (sslength s)) (setq d (entget (ssname s (setq i (1- i))))) (entmod (setq d (subst (cons 8 "rlx") (assoc 8 d) d))))) (command "_.regen") (princ) )
    1 point
  2. try to feed something like this to your console : (defun c:t1 ( / b l e d ) (if (not (tblsearch "layer" "rlx"))(command "-layer" "new" "rlx" "")) (while (setq b (cdadr (tblnext "block" (not b))))(setq l (cons b l))) (foreach b l (setq e (tblobjname "block" b)) (while (setq e (entnext e)) (if (= (cdr (assoc 0 (setq d (entget e)))) "HATCH") (progn (setq d (subst (cons 8 "rlx") (assoc 8 d) d))(entmod d)))) ) (command "_.regen") (princ) )
    1 point
  3. Applause for Grrr, as someone just starting down the path of learning Lisp, I personally find this reply more helpful than half a dozen people trying to better each other by seeing who can feed the biggest fish to the OP this breaks it down into easy steps giving useful pointers to the thought process behind it, and some useful tips about how to approach it. I'm saddened by the trend at the moment (in many forums) where people just post requests and they get working solutions, We have some of the brightest people in the Cad world right here on CADTutor, and so many people wanting to learn how to fish. I'm not for one minute suggesting the OP is just hoping someone will give them the code and move onto the next item in the wish list. But all too often that is how it comes across (to me at least). So my thanks to all of you who have answered here. There are a lot of us watching you from the sidelines trying to learn how "you" do it, the way you approach it, more importantly, the methods available and the thought process behind it, and this is much more instructional than saying "here's the answer".
    1 point
×
×
  • Create New...